//-----------------------------------------
// LScript Master Class template
//
// Copyright 2005 Michael Green
// MikesLscripts@shortbutpurple.fsnet.co.uk
//
  
myversion=1;

@version 2.2
@warnings
@script master
@save relative
@name MotionCaptureMC

// global values go here
mystart=0.0;
myend=1.0;
mygo=0;
mycount=5;
c0,c2,d1;

create
{
    // one-time initialization takes place here
}

destroy
{
    // take care of final clean-up activities here
}

flags
{
    // indicates the type of the Master script.  it can
    // be either SCENE or LAYOUT.  SCENE scripts will be
    // removed whenever the current scene is cleared or
    // replaced.  LAYOUT scripts persist until manually
    // removed.

    return(SCENE);
}

process: event, command
{
    // called for each event that occurs within the filter
    // you specified in flags()
//    StatusMsg(event);
    if(event==TIME)
    {
        mytime=Scene().currenttime;
        if(reqisopen())
        {
            reqabort();
        }
        if(mytime>=myend && mygo==1)
        {
            Pause();

            mygo=2;
            mycount=5;
        }
    }
}

load: what,io
{
    if(what == SCENEMODE)   // processing an ASCII scene file
    {
    }
}

save: what,io
{
    if(what == SCENEMODE)
    {
    }
}

options
{
    reqbegin("MotionCapture V:"+myversion);

    i1 = ctltext("IMPORTANT","Remember to turn on Autokey",
                            "and have the right Autokey",
                            "Create setting in the Options",
                            "panel");
    c0 = ctlinteger("FrameStart",mystart*Scene().fps);
    c1 = ctlbutton("Get Timeline Start",100,"TimeLineStart");
    c2 = ctlinteger("FrameEnd",myend*Scene().fps);
    c3 = ctlbutton("Get Timeline End",100,"TimeLineEnd");
    c4 = ctlbutton("GO!",100,"StartCapture");

   // get requester control values here
    reqopen();

}

StartCapture
{
    mystart=getvalue(c0)/Scene().fps;
    myend=getvalue(c2)/Scene().fps;
    reqabort();
    mygo=0;
    GoToFrame(mystart*Scene().fps);
    reqbegin("Countdown");
    d1=ctltext("Count:",mycount.asStr());
    reqopen("Countdown",1000);
}

Countdown
{
    mycount--;
    setvalue(d1,"Count:",mycount.asStr());
    if(mycount<=0&&mygo==0)
    {
        mygo=1;
        PlayForward();
    }
}

TimeLineStart
{
    mystart=Scene().previewstart/Scene().fps;
    setvalue(c0,mystart*Scene().fps);
}

TimeLineEnd
{
    myend=Scene().previewend/Scene().fps;
    setvalue(c2,myend*Scene().fps);
}